summaryrefslogtreecommitdiffstats
path: root/mdk-stage1/rp-pppoe/go-gui
diff options
context:
space:
mode:
authorGuillaume Cottenceau <gc@mandriva.com>2001-06-11 13:49:39 +0000
committerGuillaume Cottenceau <gc@mandriva.com>2001-06-11 13:49:39 +0000
commit0a121a8ecd6de894c14d60daf9da2022ec47405c (patch)
tree3705a0c51f96ffdd2a0594ef43a5677c926eb0cc /mdk-stage1/rp-pppoe/go-gui
parentab5559aaabd1167a18ac882e64d97c5adc0e7d03 (diff)
downloaddrakx-0a121a8ecd6de894c14d60daf9da2022ec47405c.tar
drakx-0a121a8ecd6de894c14d60daf9da2022ec47405c.tar.gz
drakx-0a121a8ecd6de894c14d60daf9da2022ec47405c.tar.bz2
drakx-0a121a8ecd6de894c14d60daf9da2022ec47405c.tar.xz
drakx-0a121a8ecd6de894c14d60daf9da2022ec47405c.zip
Initial revision
Diffstat (limited to 'mdk-stage1/rp-pppoe/go-gui')
-rwxr-xr-xmdk-stage1/rp-pppoe/go-gui92
1 files changed, 92 insertions, 0 deletions
diff --git a/mdk-stage1/rp-pppoe/go-gui b/mdk-stage1/rp-pppoe/go-gui
new file mode 100755
index 000000000..ddce984fd
--- /dev/null
+++ b/mdk-stage1/rp-pppoe/go-gui
@@ -0,0 +1,92 @@
+#!/bin/sh
+#***********************************************************************
+#
+# go-gui
+#
+# Quick-start shell script to set up ADSL and GUI wrapper
+#
+# Copyright (C) 2000 Roaring Penguin Software Inc.
+#
+# $Id$
+#***********************************************************************
+
+# GUI only works on Linux
+if test "`uname`" != "Linux" ; then
+ echo "Sorry, the GUI only works on Linux."
+ exit 1
+fi
+
+# Figure out directory of script
+MYDIR=`dirname $0`
+cd $MYDIR/src
+
+echo "Running ./configure..."
+./configure
+if [ "$?" != 0 ] ; then
+ echo "Oops! It looks like ./configure failed."
+ exit 1
+fi
+
+echo "Running make..."
+make
+if [ "$?" != 0 ] ; then
+ echo "Oops! It looks like make failed."
+ exit 1
+fi
+
+echo "Running make install..."
+make install
+
+if [ "$?" != 0 ] ; then
+ echo "Oops! It looks like make install failed."
+ exit 1
+fi
+
+echo "Building GUI wrapper..."
+cd ../gui
+make
+if [ "$?" != 0 ] ; then
+ echo "Oops! It looks like make failed."
+ exit 1
+fi
+
+echo "Installing GUI..."
+make install
+
+if [ "$?" != 0 ] ; then
+ echo "Oops! It looks like make install failed."
+ exit 1
+fi
+
+# Install entry in KDE menu
+if test -n "$KDEDIR" ; then
+ echo "Installing KDE menu entry Internet : TkPPPoE..."
+ mkdir -p "$KDEDIR/share/applnk/Internet"
+ cat <<EOF > "$KDEDIR/share/applnk/Internet/tkpppoe.kdelnk"
+# KDE Config File
+[KDE Desktop Entry]
+Name=TkPPPoE
+Comment=Start/Stop ADSL connections
+Exec=tkpppoe
+Terminal=0
+Type=Application
+EOF
+fi
+
+# Install entry in GNOME menus
+GNOMEDIR=`gnome-config --datadir 2>/dev/null`
+if test -n "$GNOMEDIR" ; then
+ echo "Installing GNOME menu entry Internet : TkPPPoE..."
+ mkdir -p "$GNOMEDIR/gnome/apps/Internet"
+cat <<EOF > "$GNOMEDIR/gnome/apps/Internet/tkpppoe.desktop"
+[Desktop Entry]
+Name=TkPPPoE
+Comment=Start/Stop ADSL connections
+Exec=tkpppoe
+Terminal=0
+Type=Application
+EOF
+fi
+echo "Running GUI configuration tool..."
+tkpppoe &
+exit 0